Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Mon, 29 Oct 2012 07:52:59 -0200

Em Mon, 29 Oct 2012 09:09:13 +0100
David Härdeman <[email-masked]> escreveu:

> On Mon, 29 Oct 2012 11:14:03 +1100, Stephen Rothwell
> <[email-masked]>
> wrote:
> > Hi Mauro,
> > 
> > After merging the v4l-dvb tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/hid/hid-picolcd_cir.c: In function 'picolcd_init_cir':
> > drivers/hid/hid-picolcd_cir.c:119:27: error: 'RC_TYPE_ALL' undeclared
> > (first use in this function)
> 
> I can fix it, should be easy (rename RC_TYPE_ALL to RC_BIT_ALL).
> 
> > Caused by commit c003ab1bedf0 ("[media] rc-core: add separate defines
> for
> > protocol bitmaps and numbers").  The new reference was introduced in
> > commit ae08e324146c ("HID: picoLCD: Add support for CIR") which was
> > merged by Linus on October 2 into v3.7-rc1 via the hid tree.
> > 
> > I have used the v4l-dvb tree from next-20121026 for today.
> 
> The question is in which form you want the patch - as a separate patch or
> a new version of commit c003ab1bedf0 (i.e. the entire patch)? Also, against
> which tree should I create the patch?

Please do it as a separate patch against linux-media.git. As the original
patch was already merging there, and we don't rebase the tree, there's
not much option.

Regards,
Mauro